/*
 * Global definitions, variables and prototypes.
 * */

#ifndef GLOBAL_VARIABLES
#define GLOBAL_VARIABLES

#define MAX_KEYBOARDS 50
#define KEY_LINE_LEN 15

#define TIME_CURSOR_ON 500
#define TIME_CURSOR_OFF (1000-TIME_CURSOR_ON)

enum TUTOR_QUERY
{
  QUERY_PROCESS_TOUCHS,
  QUERY_INTRO,
  QUERY_START,
  QUERY_END,
  QUERY_FREEZE
};

typedef struct
{
  gchar *str;
  gint n;
} Paragraph;

void initialize_global_variables (void);

gint comp_str (gconstpointer a, gconstpointer b);

void assert_user_dir (void);

void get_lang_env (gchar *);

void tutor_beep (void);

void tutor_message (gchar *);

void forward_cursor (gchar);

void forward_backward_cursor (gchar);

void tic_toc_time (void);

gboolean init_cursor (gpointer data);

gboolean cursor_on (gpointer data);

gboolean cursor_off (gpointer data);

void draw_paragraph (gchar * text);

void tutor_load_clist_other (gchar * file_name_end);

void initialize_chart (GtkWidget * widget);

void plot_stat_log (gint field);

#endif
