/*
 * Typing tutor and exercise program. It is very flexible and
 * customizable regarding to keyboard, language and lessons.
 * And it also has a simple learning progress logging.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"
#include "translation.h"

extern GtkWidget *window_main_;

int
main (int argc, char *argv[])
{
#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  trans_init_language_env ();

  window_main_ = create_window_main ();
  gtk_widget_show (window_main_);

  gtk_main ();
  return 0;
}
